%define major 0
%define libname %mklibname %name %major
%define devname %mklibname %name -d


Summary:	Utility for transforming a bitmap into a scalable image
Name:		potrace
Version:	1.11
%define subrel	1
Release:	%mkrel 3
License:	GPLv2
Group:		Graphics/Utilities
URL:		http://potrace.sourceforge.net/
Source0:	http://potrace.sourceforge.net/download/%{name}-%{version}.tar.gz
Patch0:		potrace-1.11-CVE-2013-7437.patch
BuildRequires:	zlib-devel
Provides:	fonttracer

%package -n %libname
Summary: Shared library for potrace
Group: System/Libraries

%description -n %libname
Libpotrace is the library for potrace


%package -n %devname
Summary: Development files for lib%name
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %devname
Libpotrace is the library for potrace

This package contains the files for developing applications which
will use libpotrace.

%description
potrace is a utility for tracing a bitmap, which means, transforming 
a bitmap into a smooth, scalable image. The input is a bitmap (PBM, 
PGM, PPM, or BMP format), and the output can be EPS (default), 
Postscript, SVG ou PGM (for easy antialiasing). A typical use is to 
create EPS files from scanned data, such as company or university logos, 
handwritten notes, etc. The resulting image is not "jaggy" like a bitmap, 
but smooth. It can then be rendered at any resolution.

%prep
%setup -q
%patch0 -p1 -b .CVE-2013-7437

# fix file perm
chmod -R go+rX .

%build
%configure2_5x --enable-a4 --with-libpotrace --disable-static
%make

%install
%makeinstall_std

rm -f %buildroot/%{_libdir}/*.la

%files
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/*
%{_mandir}/man1/*

%files -n %libname
%{_libdir}/lib%name.so.%{major}*

%files -n %devname
%{_libdir}/lib%name.so
%{_includedir}/potracelib.h


%changelog
* Wed Apr 08 2015 luigiwalser <luigiwalser> 1.11-3.1.mga4
+ Revision: 819924
- add patch from opensuse to fix CVE-2013-7437

* Tue Oct 22 2013 umeabot <umeabot> 1.11-3.mga4
+ Revision: 545761
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 doktor5000 <doktor5000> 1.11-2.mga4
+ Revision: 501769
- enabled building libpotrace, headers are needed for updated uniconvertor
- added libification, removed libtool archives, disabled static libraries

* Fri Sep 27 2013 sander85 <sander85> 1.11-1.mga4
+ Revision: 488063
- New version: 1.11

* Sun Jan 13 2013 umeabot <umeabot> 1.10-3.mga3
+ Revision: 378132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sat Dec 08 2012 malo <malo> 1.10-2.mga3
+ Revision: 328951
- update RPM group

* Fri Sep 02 2011 kharec <kharec> 1.10-1.mga2
+ Revision: 137913
- New version 1.10

* Thu Apr 14 2011 tv <tv> 1.9-1.mga1
+ Revision: 85178
- new release

* Mon Jan 17 2011 pterjan <pterjan> 1.8-6.mga1
+ Revision: 21154
- imported package potrace

